summaryrefslogtreecommitdiffstats
path: root/office/lyx
diff options
context:
space:
mode:
author Martin Lefebvre <dadexter@gmail.com>2010-05-11 15:03:03 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 15:03:03 +0200
commit115b7ef6690916787f6009a6bf21e04d7b007d50 (patch)
treede87eed7465a784c8336e19102ae724be6b5adbf /office/lyx
parentd2b25abf3e2413f87695c9e11aad32cfbe115b04 (diff)
downloadslackbuilds-115b7ef6690916787f6009a6bf21e04d7b007d50.tar.gz
slackbuilds-115b7ef6690916787f6009a6bf21e04d7b007d50.tar.xz
office/lyx: Initial import
Diffstat (limited to 'office/lyx')
-rw-r--r--office/lyx/README9
-rw-r--r--office/lyx/lyx.SlackBuild97
-rw-r--r--office/lyx/lyx.info8
-rw-r--r--office/lyx/slack-desc11
4 files changed, 125 insertions, 0 deletions
diff --git a/office/lyx/README b/office/lyx/README
new file mode 100644
index 0000000000..580e0a172f
--- /dev/null
+++ b/office/lyx/README
@@ -0,0 +1,9 @@
+LyX is a document processor that encourages an approach to writing
+based on the structure of your documents, not their appearance. It is
+released under a Free Software / Open Source license.
+
+LyX is for people that write and want their writing to look great, right out
+of the box. No more endless tinkering with formatting details, 'finger
+painting' font attributes or futzing around with page boundaries. You just
+write. In the background, Prof. Knuth's legendary TeX typesetting engine
+makes you look good.
diff --git a/office/lyx/lyx.SlackBuild b/office/lyx/lyx.SlackBuild
new file mode 100644
index 0000000000..aafaee85c1
--- /dev/null
+++ b/office/lyx/lyx.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for LyX
+
+# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=lyx
+VERSION=1.4.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+# Possible frontends: qt (default), xforms, gtk (experimental)
+# qt is selected by default as it is the only one that will build
+# on a vanilla Slackware box. Check the LyX docs if you need/want
+# the xforms or gtk frontends
+
+_FRONTEND=${_FRONTEND:-qt}
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-frontend=${_FRONTEND} \
+ --with-qt-dir=/usr/lib/qt \
+ --with-program-prefix="" \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ for i in doc examples; do ln -s ../../share/lyx/$i . ; done
+)
+cp -a ABOUT-NLS ANNOUNCE COPYING ChangeLog INSTALL* NEWS README* \
+ RELEASE-NOTES UPGRADING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/lyx/lyx.info b/office/lyx/lyx.info
new file mode 100644
index 0000000000..76b056bf47
--- /dev/null
+++ b/office/lyx/lyx.info
@@ -0,0 +1,8 @@
+PRGNAM="lyx"
+VERSION="1.4.3"
+HOMEPAGE="http://www.lyx.org"
+DOWNLOAD="ftp://ftp.lyx.org/pub/lyx/stable/lyx-1.4.3.tar.gz"
+MD5SUM="6720eb43626dabbd506279f1fee6d70c"
+MAINTAINER="Martin Lefebvre"
+EMAIL="dadexter@gmail.com"
+APPROVED="elohim,robw810"
diff --git a/office/lyx/slack-desc b/office/lyx/slack-desc
new file mode 100644
index 0000000000..7d94e90aaa
--- /dev/null
+++ b/office/lyx/slack-desc
@@ -0,0 +1,11 @@
+lyx: LyX - a document processor
+lyx:
+lyx: LyX is a document processor that encourages an approach to writing
+lyx: based on the structure of your documents, not their appearance. It is
+lyx: released under a Free Software / Open Source license.
+lyx:
+lyx: LyX is for people that write and want their writing to look great, right
+lyx: out of the box. No more endless tinkering with formatting details, 'finger
+lyx: painting' font attributes or futzing around with page boundaries. You just
+lyx: write. In the background, Prof. Knuth's legendary TeX typesetting engine
+lyx: makes you look good.